MPQC 2.3.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
sc::TimedRegion Class Reference

## Public Member Functions
| TimedRegion (const char *name)
const char * | name () const
TimedRegion * | findinsubregion (const char *)
void | cpu_enter (double)
void | wall_enter (double)
void | flops_enter (double)
void | cpu_exit (double)
void | wall_exit (double)
void | flops_exit (double)
void | cpu_add (double t)
void | wall_add (double t)
void | flops_add (double t)
TimedRegion * | up () const
TimedRegion * | subregions () const
TimedRegion * | next () const
TimedRegion * | prev () const
int | nregion ()
void | get_region_names (const char *names[])
void | get_wall_times (double *)
void | get_cpu_times (double *)
void | get_flops (double *)
void | get_depth (int *, int depth=0)

The documentation for this class was generated from the following file:

- regtime.h